package com.crm.web.dao.mapper;

import com.crm.rely.backend.model.entity.web.custom.analysis.WebCustomAnalysisSearchListEntity;
import com.crm.rely.backend.model.pojo.view.WebCustomAnalysisView;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface WebCustomAnalysisMapper {

    Integer countList(WebCustomAnalysisSearchListEntity entity);

    List<WebCustomAnalysisView> pageList(WebCustomAnalysisSearchListEntity entity);

    WebCustomAnalysisView getById(Long id);
}
